[ Copyright (C) 2022  William R. Moore <william@nerderium.com>

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 3 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, see <https://www.gnu.org/licenses/>. ]

"Buttered Toast: Final Battle" by "Masterful Interactions".
The story description is "Who will win in the epic battle: Good Person or Bad Person? Choose one and determine the fates.".
The story headline is "An interactive fiction determining the fates of at least two individuals".
Release along with cover art, an interpreter, library card, and the source text.
Include Menus by Emily Short. Include Basic Help Menu by Emily Short.
The release number is 1.

The player has a number called current score.
The current score of the player is 0.

Asking someone about something is speech. Telling someone about something is speech. Answering someone that something is speech. Asking someone for something is speech.

Looking is look.

The block giving rule is not listed in the check giving it to rules.

Significance is a kind of value. The significance is insignificant and significant.
Seeability is a kind of value. The seeability is seen and unseen.
Conversability is a kind of value. The conversability is spoken and unspoken.

A person has a significance. The significance of a person is usually insignificant. A person has a seeability. The seeability of a person is usually unseen. A person has a conversability. The conversability of a person is usually unspoken.
A thing has significance. The significance of a thing is usually insignificant.

When play begins:
	now the right hand status line is "Score: [current score of the player]".

[
	FIGURES
]

Figure of Melkior is the file "melkior.jpg".
Figure of Buckethead is the file "buckethead.jpg".

[
	TABLES
]

Table of Melkior Responses
Response
"Melkior says 'You will kneel before me and Lord Death!'"
"Melkior says 'Would you like to try some of this black ichor?'"
"Melkior says 'I cannot believe that I was defeated by a dwarf and a multi-armed human.'"
"Melkior says 'Lord Death, save me!'"
"Melkior says 'Ailusherai! I will find you!'"

Table of Hank the Wino King Rants
Rant
"Hank the Wino King frowns. 'The rich oppress things.'"
"Hank the Wino King says 'The rich subjugate things. Look no further than Christianity!'"
"Hank the Wino King exclaims 'One of these days people will rise up in droves against the wealthy.'"
"Hank the Wino King furrows his brow, the deep lines showing his age, and says 'They say 'eat the rich' when I say 'let's just take their cash from them and run'.'"

[
	ROOMS AND DOORS
]

[ Country Club Plaza ]
Summit & Jefferson is a room. The description is "The westernmost city block on the Country Club Plaza contains parking and is surrounded by Summit, 47th, Jefferson, and 48th streets. There are two blocks: one to the east and one to the southeast.".

Jefferson & Nichols North is a room. It is east of Summit & Jefferson. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Jefferson, 47th, Pennsylvania, and Nichols. There are blocks to the northeast, east, southeast, south, and west.".
Jefferson & Nichols South is a room. It is southeast of Summit & Jefferson. It is south of Jefferson & Nichols North. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Jefferson, Nichols, Pennsylvania, and 48th. There are blocks to the north, northeast, east, south, and northwest.".
Jefferson & 48th is a room. It is south of Jefferson & Nichols South. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Jefferson, 48th, Pennsylvania, and Ward Parkway. There are blocks to the north and northeast.".

Pennsylvania & West 46th Terrace is a room. It is northeast of Jefferson & Nichols North. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Pennsylvania, West West 46th Terrace, Broadway, and 47th. There are blocks to the southwest, south, southeast and east.".
Pennsylvania & 47th is a room. It is east of Jefferson & Nichols North. It is northeast of Jefferson & Nichols South. It is south of Pennsylvania & West 46th Terrace. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Pennsylvania, 47th, Broadway, and Nichols. There are blocks to the north, northeast, east, southeast, south, southwest, and west.".
Pennsylvania & Nichols is a room. It is east of Jefferson & Nichols South. It is southeast of Jefferson & Nichols North. It is south of Pennsylvania & 47th. It is northeast of Jefferson & 48th. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Pennsylvania, Nichols, Broadway, and Ward Parkway. There are blocks to the north, northeast, east, west, and northwest.".

Broadway & West 46th Terrace is a room. It is east of Pennsylvania & West 46th Terrace. It is northeast of Pennsylvania & 47th. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Broadway, West West 46th Terrace, Wornall, and 47th. There are blocks to the east, southeast, south, southwest, and west.".
Broadway & 47th is a room. It is south of Broadway & West 46th Terrace. It is southeast of Pennsylvania & West 46th Terrace. It is east of Pennsylvania & 47th. It is northeast of Pennsylvania & Nichols. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Broadway, 47th, Central, and Nichols. There are blocks to the north, northeast, east, southeast, south, southwest, west, and northwest.".
Broadway & Nichols is a room. It is southeast of Pennsylvania & 47th. It is south of Broadway & Pennsylvania. It is east of Pennsylvania & Nichols. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Broadway, Nichols, Central, and Ward Parkway. There are blocks to the north, northeast, east, west, and northwest.".

47th & Wornall is a room. It is east of Broadway & West 46th Terrace. It is northeast of Broadway & 47th. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Wornall, Wyandotte, and 47th. There are blocks to the east, southeast, south, southwest, and west.".
Central & 47th is a room. It is south of 47th & Wornall. It is southeast of Broadway & West 46th Terrace. It is east of Broadway & 47th. It is northeast of Broadway & Nichols. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Central, 47th, Wyandotte, and Nichols. There are blocks to the north, northeast, east, south, southwest, west, and northwest.".
Central & Nichols is a room. It is southeast of Broadway & 47th. It is south of Central & 47th. It is east of Broadway & Nichols. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Central, Nichols, Wyandotte, and Ward Parkway. There are blocks to the north, east, west, and northwest.".

Wyandotte & West 46th Terrace is a room. It is east of 47th & Wornall. It is northeast of Central & 47th. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Wyandotte, West 46th Terrace, Mill Creek Parkway, and Emmanuel Cleaver II Blvd. There are blocks to the south, southwest, and west.".
Wyandotte & Emmanuel Cleaver II Blvd is a room. It is southeast of Central & 47th. It is south of Wyandotte & West 46th Terrace. It is east of Central & Nichols. The description is "The city block of the Country Club Plaza contains several shops and is surrounded by Wyandotte, Emmanuel Cleave II Blvd, Mill Creek Parkway, and Ward Parkway. There are blocks to the northwest, north, and west.".

[ Other Places ]

Poorly Lit Room is a room. The description of Poorly Lit Room is "You are in a poorly lit room and it is difficult to see most features. Those that are visible are blurry.".

[
	ACTORS
]

The Narrator is a person. They are in Poorly Lit Room. The significance of the Narrator is significant. The description is "The narrator is well-dressed and young looking. However, what their true form is beguiling. They look like they urgently want to speak with you.".
Amelia is a person. The description of Amelia is "Amelia is a slender woman wearing ruined aviator clothes. She has sandy blonde hair. She is totally drunk and appears to almost always be that way.".
Darcon is a person. The description is "He looks like a typical retail worker wearing a blue vest, white shirt, and blue pants. He is quietly muttering obscenities into his drink."
Buckethead is a person. The description is "That's right. THE Buckethead! He appears to be staring at his chickens, which are aimlessly pecking at and scratching the floor.".
Mr Linendot is a person. The description is "He has lines for limbs and dots for joints. His perfectly circular head only has dots for eyes and a line for a mouth.".
Melkior is a person. They are in Broadway & 4th. The description is "He is an Eldarim turned undead after pledging his life to Death himself. He is currently held together it would seem by just simple rags. There are severely damaged parts on his body from previous battles.".
Hank the Wino King is a person. They are in Central & 4th. The description is "A dishevelled man stands before you with long, matted, brown hair. The odor that eminates from them is an assault on the senses. Their long coat is greasy and grimey."

[
	THINGS
]

[ Key Things ]
The amulet of destiny is a thing. It is wearable. The significance of the amulet of destiny is significant. The description of the amulet of destiny is "A bright and shiny amulet that weighs a bunch.".
The ring of awesomeness is a thing. It is wearable. The significance of the ring of awesomeness is significant. The description of the ring of awesomeness is "An awesome-looking ring that fits your finger perfectly.".
The wide-brimmed hat of irregularity is a thing. It is wearable. The description of the wide-brimmed hat of irregularity is "A purple, wide-brimmed had with a feather stuck in the cheetah band.".
The fluffy cape of the damned is a thing. It is wearable. The description of the fluffy cape of the damned is "A fluffy, deep red cloak that one wears if they're of a certain profession.".
The diamond topped cane of justice is a thing. It is wearable. The description of the diamond topped cane of justice is "This can is black with gold tracings and a diamond top for a handle.".
The platform shoes of righteousness is a thing. It is wearable. The description of the platform shoes of righteousness is "These black shoes elevate you through extending the player to new heights."

[ Other Things ]

ye flask is a thing. The description of ye flask is "It is a flask containing some unknown liquid."

[
	ACTIONS
]

Understand "slap [something]" as slapping. Slapping is an action applying to one visible thing.
After slapping when the noun is a person:
	say "You viciously slap [the noun]!".

Understand "poke [something]" as poking. Poking is an action applying to one visible thing.
After poking when the noun is a person:
	say "You poke [the noun]."

Before taking something when the noun is a thing and the significance of the noun is significant:
	increase the current score of the player by 5.

Before dropping something when the noun is a thing and the significance of the noun is significant:
	decrease the current score of the player by 5.

After reading a command:
	let N be "[the player's command]";
	if N is "take over kingdom",
		say "What kingdom, you dumple!?".

After speech when noun is Melkior:
	let rr be a random number from 1 to number of rows in Table of Melkior Responses;
	say "[Response in row rr of Table of Melkior Responses]".

After speech when noun is Hank the Wino King:
	let rr be a random number from 1 to number of rows in Table of Hank the Wino King Rants;
	say "[Response in row rr of Table of Hank the Wino King Rants]".

[ For displaying figures ]

After examining Melkior:
	display the Figure of Melkior.

After examining Buckethead:
	display the Figure of Buckethead.

[
	SCENES
]

[ The Beginning scene ]

The Beginning is a scene. The Beginning begins when play begins. The Beginning ends when the player is wearing the ring of awesomeness. The description of the Beginning is "Welcome to Buttered Toast: Final Battle.[line break][line break]We want to claim this is full of action, adventure, mystery, and love![line break][line break]In loving memory of Johnny von Soundstation."

After speech when the noun is Narrator and The Beginning is happening:
	say "The Narrator says 'Hello, Billy Davis!  What you are about to see is Buttered Toast: Final Battle. If you have not played any of the others, do not fret! This is unrelated.";
	say "Here, have [the amulet of destiny]!  Wear it with strength and honor!";
	say "Here, have [the ring of awesomeness]!  Wear it with strength and honor!";
	say "Here, have [the wide-brimmed hat of irregularity]!  Wear it with strength and honor!";
	say "Here, have [the fluffy cape of the damned]!  Wear it with strength and honor!";
	say "Here, have [the diamond topped cane of justice]!  Wear it with strength and honor!";
	say "Here, have [the platform shoes of righteousness]!  Wear it with strength and honor!";
	say "Enjoy the show and don't forget to examine people and thing or to say 'hi' to people!'";
	now the amulet of destiny is in Poorly Lit Room;
	now the ring of awesomeness is in Poorly Lit Room;
	now the wide-brimmed hat of irregularity is in Poorly Lit Room;
	now the fluffy cape of the damned is in Poorly Lit Room;
	now the diamond topped cane of justice is in Poorly Lit Room;
	now the platform shoes of righteousness is in Poorly Lit Room;
	silently try taking the amulet of destiny;
	silently try taking the ring of awesomeness;
	silently try taking the wide-brimmed hat of irregularity;
	silently try taking the fluffy cape of the damned;
	silently try taking the diamond topped cane of justice;
	silently try taking the platform shoes of righteousness;
	now the player is wearing the amulet of destiny;
	now the player is wearing the ring of awesomeness;
	now the player is wearing the wide-brimmed hat of irregularity;
	now the player is wearing the fluffy cape of the damned;
	now the player is wearing the diamond topped cane of justice;
	now the player is wearing the shoes of righteousness;
	increase the current score of the player by 10.
The player is in Poorly Lit Room.

[ Act I ]
Act I is a scene. Act I begins when The Beginning ends.

When Act I begins:
	move the player to Summit & Jefferson.
